
dcabout.ComparyUrl.SetLink(Product.GetCompanyUrl());
dcabout.ComparyUrl.SetText(Product.GetCompanyName());

var productstr = Product.GetProductName() +" " + Product.GetVersion();
dcabout.productid.SetText(productstr);
dcabout.copyright.SetText(Product.GetCopyRight());

if(!Product.IsValidateReg())
{
	  dcabout.registerstatus.SetText("_static_unreg");
	  dcabout.registername.SetText("");
}
else
{
	var reginfo = Product.GetRegInfo();
	dcabout.registerstatus.SetText("_status_havereg");
	dcabout.registername.SetText(reginfo[0]);
}

